body{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
    padding: 30px;
    font-family: "Funnel Sans", sans-serif;
    font-optical-sizing: auto;
    font-weight: normal;
    font-style: normal;
}

.mainLogo{
    width: 80%;
    display: none;
    margin-bottom: 20px;
}

.floating-button{
    position: absolute;
    color: white;
    top: 10;
    left: 10;
    font-weight: 500;
    font-size: 1.3rem;
    padding-top: 10px;
    padding-left: 10px;
    padding-right: 10px;
    font-family: "Funnel Sans", sans-serif;
    padding-bottom: 10px;
    border: none;
    display: flex;
    justify-content: center;
    align-items:  center;
    border-radius: 20px;
    background-color: rgba(250, 83, 83);
    transition: 0.3s;
    text-decoration: none;
}

.floating-button:hover{
    background-color: white;
    border: 1px solid rgba(250, 83, 83,1);
    color: rgba(250, 83, 83,1);
    cursor: pointer;
}

form{
    width: 45%;
    height: 80%;
    display: flex;
    justify-content: start;
    align-items: center;
    flex-direction: column;
    padding-top: 20px;
}

form h1{
    margin: auto;
    margin-top: 0;
    margin-bottom: 0;
}
form h3{
    margin: auto;
    margin-top: 10px;
    color: gray;
    font-weight: 300;
}

form button{
    position: relative;
    width: 50%;
    color: white;
    margin-top: 10px;
    font-weight: 500;
    font-size: 1.3rem;
    padding-top: 10px;
    font-family: "Funnel Sans", sans-serif;
    padding-bottom: 10px;
    border: none;
    display: flex;
    justify-content: center;
    align-items:  center;
    border-radius: 20px;
    background-color: rgba(250, 83, 83);
    transition: 0.3s;
}

form button:hover{
    width: 70%;
    cursor: pointer;
}

i{
    position: absolute;
    right: 2%;
    display: flex;
    justify-content: center;
    align-items:  center;
    background-color: white;
    border-radius: 20px;
    padding: 7px;
    margin: auto;
    aspect-ratio: 1/1;
    top: 50%;
    transform: translateY(-50%);
    color: rgba(250, 83, 83);
}

.inputContainer{
    width: 70%;
    height: fit-content;
    max-height: 700px;
    padding-top: 20px;
    overflow-y: scroll;
    -ms-overflow-style: none;
    scrollbar-width: none;
    margin: auto;
    margin-top: 30px;
    display: flex;
    justify-content: start;
    align-items: center;
    flex-direction: column;
}

.inputContainer::-webkit-scrollbar {
  display: none;
  width: 0;
  height: 0;
}

.inputContainer input{
    border-radius: 15px;
    width: 100%;
    font-size: 1.3rem;
    font-family: "Funnel Sans", sans-serif;
    padding-left: 10px;
    height: 50px;
    border: 1.5px rgba(250, 83, 83, 0.5) solid;
    padding-top: 40px;
    padding-bottom: 25px;
    color: rgba(0, 0, 0, 0.8);
    overflow: visible;
    transition: 0.3s;
}

.inputContainer textarea{
    border-radius: 15px;
    width: 100%;
    max-width: 100%;
    font-size: 1.3rem;
    font-family: "Funnel Sans", sans-serif;
    padding-left: 10px;
    height: 150px;
    max-height: 150px;
    border: 1.5px rgba(250, 83, 83, 0.5) solid;
    padding-top: 40px;
    padding-bottom: 25px;
    color: rgba(0, 0, 0, 0.8);
    overflow: visible;
    transition: 0.3s;
}

.inputContainer select{
    border-radius: 15px;
    width: 100%;
    font-size: 1.3rem;
    font-family: "Funnel Sans", sans-serif;
    padding-left: 10px;
    height: 60px;
    border: 1.5px rgba(250, 83, 83, 0.5) solid;
    padding-top: 10px;
    /* padding-bottom: 20px; */
    color: rgba(0, 0, 0, 0.8);
    transition: 0.3s;
}

/* .inputContainer select option{
    color: rgba(0, 0, 0, 0.8);
    background-color: rgba(250, 83, 83,1);
} */

.inputContainer input:focus{
    outline: none;
    border: 1.5px rgba(250, 83, 83,1) solid;
    border-radius: 20px;
}

.inputContainer div{
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    position: relative;
    margin-bottom: 20px;
}

.inputContainer p{
    position: absolute;
    z-index: 10;
    top: -35;
    font-size: 1.2rem;
    left: 20;
    color: rgba(250, 83, 83);
    padding: 5px;
    background-color: white;
    border-radius: 10px;
    border: 1.5px rgba(250, 83, 83, 0.5) solid;
}



#bannerWrapper button{
    margin-bottom: 10px;
    width: 80%;
}

#bannerWrapper img{
    border-radius: 10px;
}
#previewWrapper h2{
    margin-top: 0;
}
#previewWrapper h3{
    margin-bottom: 10px;
    margin-top: 0;
}

#preview{
    width: 100%;
    margin: auto;
    height: 200px;
    background-image: 
        linear-gradient(rgba(0, 0, 0, 0.7), rgba(255    , 0, 0, 0.4)),
        url("../images/restaurantPic.jpg");
    background-position: center;
    background-size: cover;
    border-radius: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
}

#bannerPreview{
    height: 70%;
    width: auto;
    margin: auto;
    margin-left: 20px;
    margin-right: 0px;
    margin-bottom: 20px;
    background-image: url("../images/QRPlaceHolder.png");
    background-position: center;
    background-size: cover;
    aspect-ratio: 1 / 1;
    border-radius: 30px;
    border: 3px solid rgb(255, 81, 81);
    box-shadow: 0px 5px 0px rgb(160, 50, 50);
}

.title{
    margin: auto;
    margin-left: 10px;
    color: white;
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: start;

}

.subtitle{
    display: flex;
    justify-content: center;
    align-items: start;
    flex-direction: column;
    padding-right: 10px;
    background-color: black;
    border-radius: 10px;
}

#previewTitle{
    font-size: 2.3rem;
    color: white;
    margin-bottom: 0px;
    margin-left: 0;
}

#previewLocation{
    font-size: 1.5rem;
    color: white;
    margin-top: 10px;
    margin-bottom: 0px;
    display: flex;
    justify-content: start;
    align-items: center;
    margin: auto;
    margin-left: 0;
    margin-top: 0;
    margin-bottom: 0;
}

#previewLocation i{
    position: relative;
    margin: auto;
    margin-right: 5px;
    margin-left: 0;
    background-color: transparent;
    color: white;
}

.sideImage{
    position: relative;
    height: 100%;
    width: 55%;
    background-image: url("../images/loginLaptop.png");
    background-size: cover;
    background-position: center;
    border-radius: 50px;
}

.sideImage::after {
    position: absolute;
    content: '';
    top: -4;
    right: -4;
    width: 24%;
    height: 60px;
    background-color: white;    
    background-image: url("../images/TapMenusMainLogo.svg");
    background-size: 80%;
    background-repeat: no-repeat;
    background-position: 50% center;
    border-bottom-left-radius: 30px;
}

#alertMessage{
    display: flex;
    position:absolute; 
    width:fit-content; 
    height:100px; 
    right: 2%; 
    top:3%; 
    background-color: #ed2843; 
    padding-left:20px; 
    padding-right:20px; 
    box-shadow:0px 5px 0px #801725; 
    border-radius:20px;
    justify-content:start; 
    align-items:center; 
    transition: 0.5s;
    z-index: 20;
}

#confirmationMessage{
    display: flex;
    flex-direction: column;
    position:absolute; 
    width:fit-content; 
    height:fit-content;
    left: 50%; 
    top:50%; 
    transform: translate(-50%, -50%); 
    background-color: #287900; 
    padding: 20px; 
    padding-right: 45px;
    padding-left: 45px;
    box-shadow:0px 5px 0px #314a00; 
    border-radius:20px;
    justify-content:start; 
    align-items:center; 
    transition: 0.5s;
    z-index: 20;
}
#confirmationMessage p{
    color:white; 
    font-size:1.2rem; 
    width: 100%;
    margin-left: 10px
}

#confirmationMessage button{
    width: 70%;
    height: fit-content;
    padding-top: 10px;
    padding-bottom: 10px;
    border: none;
    border-radius: 20px;
    background-color: white;
    color: #5d8017;
}


@media (max-width: 600px){
    .sideImage{
        display: none;
    }

    body{
        height: fit-content;
        padding: 0;
        padding-top: 30px;
    }

    .floating-button{
        font-size: 1rem;
    }

    .mainLogo{
        display: flex;
    }

    form{
        width: 95%;
        height: auto;
        margin: auto;
        padding-bottom: 20px;
    }

    h1{
        font-size: 1.8rem;
        text-align: center;
    }

    h3{
        text-align: center;
    }

    form button{
        width: 80%;
        font-size: 1.2rem;
    }

    form button:hover{
        width: 80%;
    }

    .inputContainer{
        width: 100%;
        height: fit-content;
        max-height: fit-content;
        overflow-y: visible;        
    }

    .inputContainer input{
        font-size: 1.2rem;
    }

    .inputContainer div{
        width: 100%;
    }

    #preview{
        height: 120px;
    }

    #bannerPreview{
        height: 65%;
        margin-left: 10px;
        margin-bottom: 10px;
        border-radius: 15px;
        box-shadow: 0px 3px 0px rgb(160, 50, 50);
        border: 2px solid rgb(255, 81, 81);
    }


    #previewTitle{
        font-size: 1.3rem;
    }

    #previewLocation{
        font-size: 1rem;
        margin-top: 0px;
    }

    #previewLocation i{
        margin-right: 0;
        margin-left: 0;
    }
}